Get task recipients

GET
/api/v2/tasks/{id}/recipients
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

id*string

The unique identifier of the task.

Formatuuid

Query Parameters

name?string

Filter by recipient name (optional). Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
email_address?string

Filter by recipient name (optional). Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • EndsWith
type?string

Filter by recipient type (optional). Available types : "user", "group".

sort_by?string

Sort by field name (optional). Supported fields: "type", "name", etc.

page?integer

Page number (1-based). Default is 1. Ignored when get_all = true.

Formatint32
Range1 <= value <= 2147483647
page_size?integer

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

Formatint32
Range1 <= value <= 50
get_all?boolean

When true, pagination is disabled and all items are returned.

sort_direction?string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/recipients"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "type": "string",      "emailAddress": "string",      "organizationDisplayName": "string",      "sendEmail": true,      "seeInHub": true,      "taskUserId": "76b2e2e1-e50d-496d-9f63-51f385d91867"    }  ],  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}